summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarcello Stanisci <stanisci.m@gmail.com>2018-01-09 16:27:33 +0100
committerMarcello Stanisci <stanisci.m@gmail.com>2018-01-09 16:27:33 +0100
commitfccfedb664fc166a241793ec5e2737c51ff530ac (patch)
treee9c33d5b3ef0719088cdc60ce7250788c98d16d8
parentcd9bee6b524245634c89fb003504ed4d51046754 (diff)
downloaddeployment-fccfedb664fc166a241793ec5e2737c51ff530ac.tar.gz
deployment-fccfedb664fc166a241793ec5e2737c51ff530ac.tar.bz2
deployment-fccfedb664fc166a241793ec5e2737c51ff530ac.zip
enclosing fmt string between "
-rwxr-xr-xbuildbot/checks.sh36
1 files changed, 18 insertions, 18 deletions
diff --git a/buildbot/checks.sh b/buildbot/checks.sh
index 779d845..f4aa5e2 100755
--- a/buildbot/checks.sh
+++ b/buildbot/checks.sh
@@ -24,9 +24,9 @@ http_status_code=$(curl \
-s https://exchange.test.taler.net/ -o /dev/null \
-w "%{http_code}")
if ! test 200 = $http_status_code; then
- printf "%s (http status code: %s)/(curl exit code: %s - %s)\n" \
- "Exchange did not restart correctly" \
- $http_status_code $? $(error_stringify $?)
+ printf "$error_fmt" \
+ "Exchange did not restart correctly" \
+ $http_status_code $? $(error_stringify $?)
exit 1
fi
@@ -35,9 +35,9 @@ http_status_code=$(curl \
-s http://backend.test.taler.net/ -o /dev/null \
-w "%{http_code}")
if ! test 200 = $http_status_code; then
- printf $error_fmt \
- "Merchant backend did not restart correctly" \
- $http_status_code $? $(error_stringify $?)
+ printf "$error_fmt" \
+ "Merchant backend did not restart correctly" \
+ $http_status_code $? $(error_stringify $?)
exit 1
fi
@@ -46,9 +46,9 @@ http_status_code=$(curl \
-s http://shop.test.taler.net/ -o /dev/null \
-w "%{http_code}")
if ! test 200 = $http_status_code; then
- printf $error_fmt \
- "Blog did not restart correctly" \
- $http_status_code $? $(error_stringify $?)
+ printf "$error_fmt" \
+ "Blog did not restart correctly" \
+ $http_status_code $? $(error_stringify $?)
exit 1
fi
@@ -57,9 +57,9 @@ http_status_code=$(curl \
-s http://donations.test.taler.net/ -o /dev/null \
-w "%{http_code}")
if ! test 200 = $http_status_code; then
- printf $error_fmt \
- "Donations shop did not restart correctly" \
- $http_status_code $? $(error_stringify $?)
+ printf "$error_fmt" \
+ "Donations shop did not restart correctly" \
+ $http_status_code $? $(error_stringify $?)
exit 1
fi
@@ -68,9 +68,9 @@ http_status_code=$(curl \
-s http://bank.test.taler.net/ -o /dev/null \
-w "%{http_code}")
if ! test 302 = $http_status_code; then
- printf $error_fmt \
- "Bank did not restart correctly" \
- $http_status_code $? $(error_stringify $?)
+ printf "$error_fmt" \
+ "Bank did not restart correctly" \
+ $http_status_code $? $(error_stringify $?)
exit 1
fi
@@ -79,8 +79,8 @@ http_status_code=$(curl \
-s http://test.taler.net/ -o /dev/null \
-w "%{http_code}")
if ! test 200 = $http_status_code; then
- printf $error_fmt \
- "Landing page not restart correctly" \
- $http_status_code $? $(error_stringify $?)
+ printf "$error_fmt" \
+ "Landing page not restart correctly" \
+ $http_status_code $? $(error_stringify $?)
exit 1
fi